=== debian/changelog ===
unoconv (0.4-1) unstable; urgency=low

  * New upstream version.
      + Drop patch to support Impress templates which is included upstream.
      + Fix manpage with invalid option. Closes: #569160.
  * Switch to 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.1.
  * Depends on LibreOffice packages instead of OpenOffice.org ones.
  * Switch to debhelper 7.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Mar 2011 12:28:32 +0100

unoconv (0.3-6) unstable; urgency=low

  * Recommends openoffice.org-headless or openoffice.org-core (>= 1:3)
    since it is already headless capable.
  * Also recommends openoffice.org-java-common. This should closes: #501440.
  * Bump Standards-Version to 3.8.3. No change required.

 -- Vincent Bernat <bernat@debian.org>  Tue, 27 Oct 2009 20:00:19 +0100

unoconv (0.3-5) unstable; urgency=low

  * Recommends openoffice.org-headless instead of openoffice.org.
  * Suggests openoffice.org.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Nov 2008 19:51:40 +0100

unoconv (0.3-4) unstable; urgency=low

  * Recommends openoffice.org. Without openoffice.org-writer, unoconv
    cannot convert a text document for example. This leads to bugs similar
    to #491456 (but there seems to be other reasons for such bug).
  * Update to new Standards-Version. No changes required.
  * In debian/control:
     + add Vcs-* fields
     + remove DM-Upload-Allowed field
  * Convert debian/copyright to machine readable format

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Aug 2008 13:01:43 +0200

unoconv (0.3-3) unstable; urgency=low

  * Add support for Impress templates, thanks to Sune Vuorela (Closes:
    #456654).

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 17 Dec 2007 22:27:11 +0100

unoconv (0.3-2) unstable; urgency=low

  * Use update-alternatives to provide odt2txt, thanks to Michal Politowsk
    (Closes: #451586).

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 17 Nov 2007 11:38:42 +0100

unoconv (0.3-1) unstable; urgency=low

  * Initial release (Closes: #444885)

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 01 Oct 2007 20:14:53 +0200
