=== debian/changelog ===
unoconv (0.5-1) unstable; urgency=low

  * New upstream version. Closes: #670574.
     + Typo in manual page fixed. Closes: #594648.
     + Don't use deprecated command line switches with Libre
       Office. Closes: #640771
  * Update debian/watch to use GitHub.
  * Bump Standards-Version to 3.9.3.
  * Do not build selinux.html: selinux.txt is not a valid asciidoc file.
  * Fix spelling error in unoconv.1.
  * Register documentation with doc-base.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Apr 2012 09:51:22 +0200

unoconv (0.4-3) unstable; urgency=low

  * Move libreoffice from Suggests to Recommends since libreoffice-core
    does not depend on most important modules any more. Closes: #641806.
  * Bump Standards-Version to 3.9.2.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Sep 2011 09:35:06 +0200

unoconv (0.4-2) unstable; urgency=low

  * Add a README.Debian file to notice that unoconv will only be able to
    convert some formats only if the appropriate LibreOffice package is
    installed. Closes: #491456.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Mar 2011 12:34:48 +0100
