=== debian/watch ===
version=3
https://github.com/dagwieers/unoconv/downloads /downloads/dagwieers/unoconv/unoconv-(.*).tar.bz2
