=== debian/changelog ===
unoconv (0.6-6tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Only suggest libreoffice-draw: We don't want it on the live-cd

 -- Jon Severinsson <jon@severinsson.net>  Sun, 22 Jun 2014 10:00:00 +0200

unoconv (0.6-6) unstable; urgency=low

  * Add support for Microsoft Works and Microsoft Excel 2007 XML.
    Closes: #734434.

 -- Vincent Bernat <bernat@debian.org>  Sat, 11 Jan 2014 20:01:58 +0100

unoconv (0.6-5) unstable; urgency=low

  * Fix use of `--stdout` with Python3. Closes: #718481.

 -- Vincent Bernat <bernat@debian.org>  Sun, 29 Dec 2013 17:58:05 +0100

unoconv (0.6-4) unstable; urgency=low

  * Drop no-asciidoc-for-selinux.patch. Not needed anymore. Closes: #732351.
  * Patch for spelling errors in the manual page. Thanks to Olly Betts for
    the patch and to Paul Wise to report it. Closes: #732352.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Dec 2013 17:21:23 +0100

unoconv (0.6-3tanglu1) staging; urgency=low

  * Only suggest libreoffice-draw: We don't want it on the
    live-cd

 -- Matthias Klumpp <mak@debian.org>  Sat, 19 Oct 2013 01:40:59 +0200

unoconv (0.6-3) unstable; urgency=low

  * Depends on python3-uno (>= 4.0) to ensure to have the version
    supporting Python 3.3. Closes: #717485.

 -- Vincent Bernat <bernat@debian.org>  Sun, 21 Jul 2013 12:59:47 +0200

unoconv (0.6-2) unstable; urgency=low

  * Patch to avoid to show changes. Should closes: #624295.
  * Patch for Python 3 support. Closes: #707337.
  * Depends on python3-uno.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Jul 2013 12:17:45 +0200

unoconv (0.6-1) unstable; urgency=low

  * New upstream version. Closes: #700893.
  * Don't recommend the whole LibreOffice suite, only core
    components. Closes: #710799.
  * Bump Standards-Version to 3.9.4.
  * Update Vcs-* fields.
  * Update debian/watch.
  * Drop doc-base integration: we only install the manual page.
  * Add a Lintian override for Conflicts with older versions of
    odt2txt. It is legit.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Jun 2013 16:32:40 +0200
