=== debian/control ===
Source: unoconv
Section: text
Priority: extra
Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: asciidoc
Standards-Version: 3.9.5
Homepage: http://dag.wieers.com/home-made/unoconv/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unoconv.git
Vcs-Git: git://anonscm.debian.org/collab-maint/unoconv.git

Package: unoconv
Architecture: all
Depends: python3, python3-uno (>= 4.0), ${misc:Depends}
Recommends: libreoffice-writer, libreoffice-calc, libreoffice-impress
Suggests: libreoffice-draw
Conflicts: odt2txt (<= 0.3-1)
Description: converter between LibreOffice document formats
 This package provides a commandline utility which can convert from
 any document format that LibreOffice can import to any document format
 it can export. It uses LibreOffice's UNO bindings for non-interactive
 conversion of documents.
 .
 Supported document formats include Open Document format, MS Word, MS
 Office Open/MS OOXML, PDF, HTML, XHTML, RTF, DocBook, and more.
