=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 ### Please modify and send me improvements
+
+python=/opt/libreoffice4.4/program/python
+unoconv=../unoconv
 
 all: clean doc6 doc95 doc docbook fodt html mediawiki ooxml pdf rtf sdw3 sdw4 sdw sxw text txt uot xhtml
 	@echo "== Tests finished."
@@ -13,7 +16,7 @@
 %:
 #	-killall ooffice soffice.bin
 	@echo "- Convert document-example.odt to $@..."
-	-../unoconv -vvv -p 2002 -f $@ document-example.odt
+	-$(python) $(unoconv) -vvv -p 2002 -f $@ document-example.odt
 	@echo
 #	@ps aux | grep office
 #	-unoconv -f $@ dag.gif
