=== debian/changelog ===
unoconv (0.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to use python3-looseversion instead
    of removed python3-distutils (Closes: #1076522)
    (LP: #2085639)
  * Update d/watch

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Update renamed lintian tag names in lintian overrides.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Mar 2025 11:51:55 +0100

unoconv (0.7-2) unstable; urgency=high

  * d/control: update Vcs-* fields.
  * d/patches: don't update linked document by default. CVE-2019-17400.
    Closes: #943561.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Oct 2019 17:07:44 +0200

unoconv (0.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set TZ=UTC in asciidoc to make the embedded dates invariant to timezones
    in order to make the package build reproducibly. Closes: #795975.

 -- Eduard Sanou <dhole@openmailbox.org>  Mon, 17 Aug 2015 12:22:05 +0200

unoconv (0.7-1) unstable; urgency=medium

  * New upstream release.
     + New --preserve option can preserve timestamps. Closes: #481622.
     + "fodt" and "docx" text format are now supported. Closes: #659886.
  * Drop patches applied upstream:
     + python3-support.patch
     + python3-stdout-fix.patch
     + dont-show-changes.patch
     + spelling-errors-unoconv-manual.patch
     + support-for-wps.patch
     + support-for-xlsx.patch
  * Add a patch to ensure use of python3 interpreter.
     + 0001-Use-python3-interpreter.patch
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Aug 2015 15:34:33 +0200
