=== debian/control ===
Source: unoconv
Section: text
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: asciidoc
Standards-Version: 3.9.6
Homepage: http://dag.wieers.com/home-made/unoconv/
Vcs-Browser: https://salsa.debian.org/debian/unoconv
Vcs-Git: https://salsa.debian.org/debian/unoconv.git

Package: unoconv
Architecture: all
Depends: python3, python3-uno (>= 4.0), python3-looseversion, ${misc:Depends}
Recommends: libreoffice-writer, libreoffice-draw, libreoffice-calc, libreoffice-impress
Conflicts: odt2txt (<= 0.3-1)
Description: converter between LibreOffice document formats
 This package provides a commandline utility which can convert from
 any document format that LibreOffice can import to any document format
 it can export. It uses LibreOffice's UNO bindings for non-interactive
 conversion of documents.
 .
 Supported document formats include Open Document format, MS Word, MS
 Office Open/MS OOXML, PDF, HTML, XHTML, RTF, DocBook, and more.
