=== debian/watch ===
version=4
https://github.com/unoconv/unoconv/tags .*/?v(.*).tar.gz
